Subject: Re: bug#64852: Texlive errors and weird behavior

From: Wojtek Kosior <[email-masked]>
Date: Fri, 28 Jul 2023 21:54:48 +0200

Firstly, I apologize — I started replying in the other issue and
neglected this conversation without providing the extra info you asked
for to help me.

> > I'm having some problems using texlive after the recent tex-team merge.
> > On my system (with texlive installed in a profile, together with many
> > other packages) the tools complain about 'lualatex.fmt', 'pdflatex.fmt',
> > etc. missing. Before the merge I have been using texlive without ever
> > experiencing such problems.

This part of the problem was purely my fault — I updated the profile
with new texlive but some shells were still using the old set of
environment variables for this profile. Sorry about that!

> These files are provided by the `texlive-latex-bin' package. Your
> profile should probably contain `texlive-collection-latex' to get it
> along with some very important LaTeX packages.
> 
> Would you want to share the TeX Live packages you listed in your
> profile?

I've been using just `texlive` (which seemed to be *the* package for
people who just want to have things work out of the box and don't care
much about saving space/bandwidth). Sorry for not making this clear
enough.

Since this is a duplicate, I'll continue the discussion in #64772

Wojtek

-- (sig_start)
website: https://koszko.org/koszko.html
fingerprint: E972 7060 E3C5 637C 8A4F  4B42 4BC5 221C 5A79 FD1A
follow me on Fediverse: https://friendica.me/profile/koszko/profile

♥ R29kIGlzIHRoZXJlIGFuZCBsb3ZlcyBtZQ== | ÷ c2luIHNlcGFyYXRlZCBtZSBmcm9tIEhpbQ==
✝ YnV0IEplc3VzIGRpZWQgdG8gc2F2ZSBtZQ== | ? U2hhbGwgSSBiZWNvbWUgSGlzIGZyaWVuZD8=
-- (sig_end)

On Wed, 26 Jul 2023 16:45:42 +0200 Nicolas Goaziou <[email-masked]> wrote:

> Hello,
> 
> Wojtek Kosior via Bug reports for GNU Guix <[email-masked]> writes:
> 
> > I'm having some problems using texlive after the recent tex-team merge.
> > On my system (with texlive installed in a profile, together with many
> > other packages) the tools complain about 'lualatex.fmt', 'pdflatex.fmt',
> > etc. missing. Before the merge I have been using texlive without ever
> > experiencing such problems.  
> 
> These files are provided by the `texlive-latex-bin' package. Your
> profile should probably contain `texlive-collection-latex' to get it
> along with some very important LaTeX packages.
> 
> Would you want to share the TeX Live packages you listed in your
> profile?
> 
> > I tried to reduce it to a small, reproducible example using
> > `guix shell -C`. Surprisingly, now I managed to compile this document
> > inside a container. But also surprisingly, it took very long to do so.
> > Also, lualatex automatically created a directory named '{' in the
> > current working directory.  
> 
> These two issues were reported in another bug report. Unfortunately, at
> the moment, I do not know where they do come from.
> 
> Concerning the second issue, the "{" directory, I do know that
> monolithic TeX Live modifies "texmfcnf.lua" (see `texlive-texmf'
> package) whereas modular TeX Live (in `texlive-luatex' package) doesn't.
> 
> I think this "texmfcnf.lua" file should be modified in a proper way to
> fix this issue, but I don't know how.
> 
> Regards,